2017-02-21 80 views
1

我遇到了一些问题,一些nodeJS模块功能没有解决,但其他人很好。这是我的步骤重现此问题:IntelliJ IDEA - nodejs插件 - passport.initialize()未解决

  1. 创建一个项目,选择和的NodeJS NPM
  2. 选择下一步,附上project detail snapshot并单击完成。
  3. 在app.js,添加下面的线被宣告应用后:

    变种护照=要求( '护照');
    app.use(passport.initialize());

  4. 您应该看到initialized()具有下划线,指示“未解析的函数或方法已初始化”。

我正在使用最新版本的IntelliJ IDEA 2016.3.4。

我读过relevant question,但它不适合我的场景。 请注意,只有passport module有此问题。

回答

2

这是一个已知的错误,请按照WEB-18469进行更新。

作为一种变通方法,请尝试下载护照打字稿社区存根:File | Settings | Languages & Frameworks | JavaScript | Libraries,按Download...,从列表中选择护照